/*
 * PrintBuffer.h
 *
 * Created on: 23 Nov 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#ifndef PRINTBUFFER_H_
#define PRINTBUFFER_H_

#include <Arduino.h>

#define PB_LEN 10000  // Length of str array

class MyPrintBuffer : public Print {
  private:
    size_t pos = 0;
    char str[PB_LEN];
    
  public:
    const char *operator() ();
    void clear();
    size_t length();
    size_t write(uint8_t c);
    size_t write(const uint8_t *buffer, size_t size);
};

#endif /* PRINTBUFFER_H_ */
