/*
 * StopWatch.h
 *
 * Created on: 31 May 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#ifndef STOPWATCH_H_
#define STOPWATCH_H_


class StopWatch {
  public:
    void start();
    void stop();
    // Answer measured milliseconds after stop
    long getInterval();

    // Answer if measured milliseconds have been reached, without stop
    bool hasReached(unsigned long millisecs);

  private:
    long startmillis;
    long interval;
};

#endif /* STOPWATCH_H_ */
