/*
 * LcdButtonTimer.cpp
 *
 * Created on: 14 May 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#include "LcdButtonTimer.h"


unsigned long LcdButtonTimer::startMillis;
bool LcdButtonTimer::active = false;


void LcdButtonTimer::start() {
  active = true;
  startMillis = millis();
}


void LcdButtonTimer::stop() {
  active = false;
}


bool LcdButtonTimer::haveElapsedEqualMore(unsigned long millisLimit) {
  return getElapsedTime() >= millisLimit;
}


long LcdButtonTimer::getElapsedTime() {
  return millis() - startMillis;
}


bool LcdButtonTimer::isActive() {
  return active;
}
