/*
 * StopWatch.cpp
 *
 * Created on: 31 May 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#include "StopWatch.h"
#include <Arduino.h>


void StopWatch::start() {
  interval = 0;
  startmillis = millis();
}


void StopWatch::stop() {
  interval = millis() - startmillis;
}


long StopWatch::getInterval() {
  return interval;
}


bool StopWatch::hasReached(unsigned long millisecs) {
  return (millis() - startmillis) >= millisecs;
}
